sensor:
  - platform: template
    sensors:
      temperatura_interior:
        friendly_name: 'Temperatura Interior'
        value_template: "
          {% if is_state('fan.purificador', 'unavailable') -%}
           {{state_attr('fan.purificador_habitacion_principal', 'temperature')}}
          {%- else -%}
            {% if is_state('fan.purificador_habitacion_principal', 'unavailable') -%}
              {{state_attr('fan.purificador', 'temperature')}}
            {%- else -%}
              {{(state_attr('fan.purificador', 'temperature')/2 + 
                state_attr('fan.purificador_habitacion_principal', 'temperature')/2) | float | round(1)}}
            {%- endif %}
          {%- endif -%}"
        unit_of_measurement:  ºC
